SDL Library Documentation
Prev |  | Next

# SDL_Init

## Name

SDL_Init -- Initializes SDL

## Synopsis

    #include "SDL.h"

``int SDL_Init`(Uint32 flags);`

## Description

Initializes SDL. This should be called before all other SDL functions. The `flags` parameter specifies what part(s) of SDL to initialize.

`SDL_INIT_TIMER` | Initializes the timer subsystem.
`SDL_INIT_AUDIO` | Initializes the audio subsystem.
`SDL_INIT_VIDEO` | Initializes the video subsystem.
`SDL_INIT_CDROM` | Initializes the cdrom subsystem.
`SDL_INIT_JOYSTICK` | Initializes the joystick subsystem.
`SDL_INIT_EVERYTHING` | Initialize all of the above.
`SDL_INIT_NOPARACHUTE` | Prevents SDL from catching fatal signals.
`SDL_INIT_EVENTTHREAD` |

## Return Value

Returns -1 on an error or 0 on success.

## See Also

`SDL_Quit`, `SDL_InitSubSystem`

Prev | Home | Next
General | Up | SDL_InitSubSystem